import { ArrayMapper, MessageMapper, SimpleArrayMapper, UnknownMapper, ValueMapper, XodTriggerPayloadType } from '@xip-online-data/types';
export interface ActionData {
    trigger: XodTriggerPayloadType;
    [previousSteps: string]: unknown;
}
interface MapperResult {
    value: unknown;
    isRequiredAndMissing: boolean;
}
export declare function handleValueMapper(message: ActionData, mapper: ValueMapper): Promise<MapperResult>;
export declare function handleSimpleArrayMapper(message: ActionData, mapper: SimpleArrayMapper): Promise<MapperResult>;
export declare function handleUnknownMapper(message: ActionData, mapper: UnknownMapper): Promise<MapperResult>;
export declare function handleArrayMapper(message: ActionData, mapper: ArrayMapper): Promise<MapperResult>;
export declare function parseMessageToInput(message: ActionData, mapper: MessageMapper): Promise<{
    jobPayload: {
        [key: string]: unknown;
    };
    allRequiredAreSet: boolean;
}>;
export {};
